NX Open C++ Reference Guide
|
Represents a face blend builder. More...
Public Types | |
enum | CrossSectionOption { CrossSectionOptionCircular, CrossSectionOptionConic, CrossSectionOptionConicSymmetric } |
This enum represents the Cross section types. More... | |
enum | DefiningType { DefiningTypeBlendTwoFace, DefiningTypeBlendThreeFace } |
This enum represents the Face Blend defining type, it is added in NX75 for new three face blend. More... | |
enum | OverflowMethod { OverflowMethodNone, OverflowMethodNotch } |
This enum represents the overflow options. More... | |
enum | RhoMethod { RhoMethodAbsolute, RhoMethodRelative } |
This enum represents the rho types. More... | |
enum | TrimmingMethod { TrimmingMethodToAllFaces, TrimmingMethodShort, TrimmingMethodLong, TrimmingMethodNone } |
This enum represents the Trimming options for Face Blend. More... | |
enum | Type { TypeRollingBall, TypeSwept } |
This enum represents the Face Blend types. More... | |
Public Member Functions | |
bool | AddTangentFaces () |
Returns the option for Add Tangent Faces As Encountered. | |
NXOpen::Features::FaceBlendBuilder::Type | BlendType () |
Returns the type for face blend. | |
NXOpen::GeometricUtilities::CircularCrossSection * | CircularCrossSection () |
Returns the face blend circular section. | |
bool | CliffProjectOntoSecondWall () |
Returns the cliff projection option for face blend. | |
NXOpen::ScCollector * | CoincidentEdgeCollector () |
Returns the cliff edge collector for face blend. | |
NXOpen::GeometricUtilities::ConicCrossSection * | ConicCrossSection () |
Returns the face blend conic section. | |
NXOpen::Features::FaceBlendBuilder::CrossSectionOption | CrossSectionType () |
Returns the cross section for face blend. | |
bool | EndCapLimitPlaneOption () |
Returns the end limit plane capping option Created in NX5.0.0. | |
bool | EndLimitFaceNormalFlag () |
Returns the end limiting face normal flag Created in NX5.0.0. | |
NXOpen::ScCollector * | EndLimitFacesetCollector () |
Returns the end limit faceset collector. | |
NXOpen::Point * | EndLimitPoint () |
Returns the end limit point Created in NX5.0.0. | |
NXOpen::Features::FaceBlendBuilder::DefiningType | FaceBlendDefineType () |
Returns the face blend defining type get. | |
NXOpen::ScCollector * | FirstFaceCollector () |
Returns the first face collector. | |
void | GetLimitPlanes (NXOpen::Plane **startLimitPlane, NXOpen::Plane **endLimitPlane) |
This function is to get limit planes for a face blend feature. | |
NXOpen::Point * | HelpPoint () |
Returns the face blend help point. | |
bool | IsIsoparameterLineOriented () |
Returns the option for Orient Cross Section By Isoparameter Lines for Swept section type only. | |
NXOpen::GeometricUtilities::BlendLimitsData * | LimitsListData () |
Returns the trim object collector list. | |
NXOpen::ScCollector * | MiddleFaceCollector () |
Returns the middle face collector get. | |
bool | MiddleFaceNormFlag () |
Returns the middle face set normal reversal flag. | |
NXOpen::Features::FaceBlendBuilder::OverflowMethod | OverflowOption () |
Returns the overflow option for face blend. | |
bool | ProjectToSecondWall () |
Returns the projection option for face blend. | |
bool | PropagatePastSharpEdges () |
Returns the propagate past the sharp edges option for face blend. | |
double | PropagationAngle () |
Returns the propagation angle for face blend. | |
bool | RemoveSelfIntersections () |
Returns the self-intersections option for face blend. | |
bool | ReverseFirstFaceNormal () |
Returns the first face set normal reversal flag. | |
bool | ReverseSecondFaceNormal () |
Returns the second face set normal reversal flag. | |
bool | ReverseThirdFaceNormal () |
Returns the third face set normal reversal flag. | |
NXOpen::Features::FaceBlendBuilder::RhoMethod | RhoType () |
Returns the rho type for face blend. | |
NXOpen::ScCollector * | SecondFaceCollector () |
Returns the second face collector. | |
void | SetAddTangentFaces (bool option) |
Sets the option for Add Tangent Faces As Encountered. | |
void | SetBlendType (NXOpen::Features::FaceBlendBuilder::Type type) |
Sets the type for face blend. | |
void | SetCliffProjectOntoSecondWall (bool projectOntoSecondWall) |
Sets the cliff projection option for face blend. | |
void | SetCoincidentEdgeCollector (NXOpen::ScCollector *collector) |
Sets the cliff edge collector for face blend. | |
void | SetCrossSectionType (NXOpen::Features::FaceBlendBuilder::CrossSectionOption type) |
Sets the cross section for face blend. | |
void | SetEndCapLimitPlaneOption (bool option) |
Sets the end limit plane capping option Created in NX5.0.0. | |
void | SetEndLimitFaceNormalFlag (bool flipFlag) |
Sets the end limiting face normal flag Created in NX5.0.0. | |
void | SetEndLimitFacesetCollector (NXOpen::ScCollector *collector) |
Sets the end limit faceset collector. | |
void | SetEndLimitPoint (NXOpen::Point *point) |
Sets the end limit point Created in NX5.0.0. | |
void | SetFaceBlendDefineType (NXOpen::Features::FaceBlendBuilder::DefiningType type) |
Sets the face blend defining type get. | |
void | SetFirstFaceCollector (NXOpen::ScCollector *collector) |
Sets the first face collector. | |
void | SetHelpPoint (NXOpen::Point *helpPoint) |
Sets the face blend help point. | |
void | SetIsoparameterLineOriented (bool option) |
Sets the option for Orient Cross Section By Isoparameter Lines for Swept section type only. | |
void | SetLimitPlanes (NXOpen::Plane *startLimitPlane, NXOpen::Plane *endLimitPlane) |
This function is to set limit planes for a face blend feature. | |
void | SetMiddleFaceCollector (NXOpen::ScCollector *collector) |
Sets the middle face collector get. | |
void | SetMiddleFaceNormFlag (bool flipFlag) |
Sets the middle face set normal reversal flag. | |
void | SetOverflowOption (NXOpen::Features::FaceBlendBuilder::OverflowMethod option) |
Sets the overflow option for face blend. | |
void | SetProjectToSecondWall (bool projectToSecondWall) |
Sets the projection option for face blend. | |
void | SetPropagatePastSharpEdges (bool option) |
Sets the propagate past the sharp edges option for face blend. | |
void | SetPropagationAngle (double propagationAngle) |
Sets the propagation angle for face blend. | |
void | SetRemoveSelfIntersections (bool option) |
Sets the self-intersections option for face blend. | |
void | SetReverseFirstFaceNormal (bool flipFlag) |
Sets the first face set normal reversal flag. | |
void | SetReverseSecondFaceNormal (bool flipFlag) |
Sets the second face set normal reversal flag. | |
void | SetReverseThirdFaceNormal (bool flipFlag) |
Sets the third face set normal reversal flag. | |
void | SetRhoType (NXOpen::Features::FaceBlendBuilder::RhoMethod rhoMethod) |
Sets the rho type for face blend. | |
void | SetSecondFaceCollector (NXOpen::ScCollector *collector) |
Sets the second face collector. | |
void | SetSewAllFaces (bool sewOption) |
Sets the sew option for face blend. | |
void | SetSpine (NXOpen::Section *spine) |
Sets the spine for face blend. | |
void | SetStartCapLimitPlaneOption (bool option) |
Sets the start limit plane capping option Created in NX5.0.0. | |
void | SetStartLimitFaceNormalFlag (bool flipFlag) |
Sets the start limiting face normal flag Created in NX5.0.0. | |
void | SetStartLimitFacesetCollector (NXOpen::ScCollector *collector) |
Sets the start limit faceset collector. | |
void | SetStartLimitPoint (NXOpen::Point *point) |
Sets the start limit point Created in NX5.0.0. | |
void | SetTangencyCollector (NXOpen::ScCollector *collector) |
Sets the tangency collector of edges or/and curves for face blend. | |
void | SetTangentSurface (NXOpen::ISurface *object) |
Sets the tangency object for face blend. | |
void | SetThirdFaceEndParameter (double range) |
Sets the end paramater or 'to' range for the third face with a three-face blend. | |
void | SetThirdFaceStartParameter (double range) |
Sets the start parameter or 'from' range for the third face with a three-face blend. | |
void | SetTolerance (double tolerance) |
Sets the tolerance for face blend. | |
void | SetTrimInputFacesToBlendFaces (bool trimInputFacesToBlendFaces) |
Sets the option for Trim Input Faces to Blend Faces. | |
void | SetTrimmingOption (NXOpen::Features::FaceBlendBuilder::TrimmingMethod trimmingOption) |
Sets the trimming option for face blend. | |
void | SetUseLimitsListFlag (bool useLimitsListFlag) |
Sets the trimming option that if it is using limits list to do trim or not. | |
bool | SewAllFaces () |
Returns the sew option for face blend. | |
NXOpen::Section * | Spine () |
Returns the spine for face blend. | |
bool | StartCapLimitPlaneOption () |
Returns the start limit plane capping option Created in NX5.0.0. | |
bool | StartLimitFaceNormalFlag () |
Returns the start limiting face normal flag Created in NX5.0.0. | |
NXOpen::ScCollector * | StartLimitFacesetCollector () |
Returns the start limit faceset collector. | |
NXOpen::Point * | StartLimitPoint () |
Returns the start limit point Created in NX5.0.0. | |
NXOpen::ScCollector * | TangencyCollector () |
Returns the tangency collector of edges or/and curves for face blend. | |
NXOpen::ISurface * | TangentSurface () |
Returns the tangency object for face blend. | |
double | ThirdFaceEndParameter () |
Returns the end paramater or 'to' range for the third face with a three-face blend. | |
double | ThirdFaceStartParameter () |
Returns the start parameter or 'from' range for the third face with a three-face blend. | |
double | Tolerance () |
Returns the tolerance for face blend. | |
bool | TrimInputFacesToBlendFaces () |
Returns the option for Trim Input Faces to Blend Faces. | |
NXOpen::Features::FaceBlendBuilder::TrimmingMethod | TrimmingOption () |
Returns the trimming option for face blend. | |
void | UpdateConstantLawProfiles () |
Updates all the constant law parms in the builder using builder section. | |
bool | UseLimitsListFlag () |
Returns the trimming option that if it is using limits list to do trim or not. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a face blend builder.
<br> To create a new instance of this class, use @link Features::FeatureCollection::CreateFaceBlendBuilder Features::FeatureCollection::CreateFaceBlendBuilder @endlink <br>
Default values.
Property | Value |
---|---|
CircularCrossSection.LawControl.Function |
ft |
CircularCrossSection.LawControl.LawType |
Constant |
CircularCrossSection.LawControl.Parameter |
t |
Created in NX4.0.0.
This enum represents the Face Blend defining type, it is added in NX75 for new three face blend.
This enum represents the Trimming options for Face Blend.
This enum represents the Face Blend types.
bool NXOpen::Features::FaceBlendBuilder::AddTangentFaces | ( | ) |
Returns the option for Add Tangent Faces As Encountered.
Created in NX4.0.0.
License requirements : None
NXOpen::Features::FaceBlendBuilder::Type NXOpen::Features::FaceBlendBuilder::BlendType | ( | ) |
Returns the type for face blend.
Created in NX4.0.0.
License requirements : None
NXOpen::GeometricUtilities::CircularCrossSection* NXOpen::Features::FaceBlendBuilder::CircularCrossSection | ( | ) |
Returns the face blend circular section.
Created in NX4.0.0.
License requirements : None
bool NXOpen::Features::FaceBlendBuilder::CliffProjectOntoSecondWall | ( | ) |
Returns the cliff projection option for face blend.
Created in NX7.5.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::FaceBlendBuilder::CoincidentEdgeCollector | ( | ) |
Returns the cliff edge collector for face blend.
Created in NX4.0.0.
License requirements : None
NXOpen::GeometricUtilities::ConicCrossSection* NXOpen::Features::FaceBlendBuilder::ConicCrossSection | ( | ) |
Returns the face blend conic section.
Created in NX4.0.0.
License requirements : None
NXOpen::Features::FaceBlendBuilder::CrossSectionOption NXOpen::Features::FaceBlendBuilder::CrossSectionType | ( | ) |
Returns the cross section for face blend.
Created in NX4.0.0.
License requirements : None
bool NXOpen::Features::FaceBlendBuilder::EndCapLimitPlaneOption | ( | ) |
Returns the end limit plane capping option
Created in NX5.0.0.
License requirements : None
bool NXOpen::Features::FaceBlendBuilder::EndLimitFaceNormalFlag | ( | ) |
Returns the end limiting face normal flag
Created in NX5.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::FaceBlendBuilder::EndLimitFacesetCollector | ( | ) |
Returns the end limit faceset collector.
Created in NX5.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::FaceBlendBuilder::EndLimitPoint | ( | ) |
Returns the end limit point
Created in NX5.0.0.
License requirements : None
NXOpen::Features::FaceBlendBuilder::DefiningType NXOpen::Features::FaceBlendBuilder::FaceBlendDefineType | ( | ) |
Returns the face blend defining type get.
Created in NX7.5.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::FaceBlendBuilder::FirstFaceCollector | ( | ) |
Returns the first face collector.
Created in NX4.0.0.
License requirements : None
void NXOpen::Features::FaceBlendBuilder::GetLimitPlanes | ( | NXOpen::Plane ** | startLimitPlane, |
NXOpen::Plane ** | endLimitPlane | ||
) |
This function is to get limit planes for a face blend feature.
Created in NX4.0.0.
License requirements : None
startLimitPlane | Start limit plane |
endLimitPlane | End limit plane |
NXOpen::Point* NXOpen::Features::FaceBlendBuilder::HelpPoint | ( | ) |
Returns the face blend help point.
Created in NX4.0.0.
License requirements : None
bool NXOpen::Features::FaceBlendBuilder::IsIsoparameterLineOriented | ( | ) |
NXOpen::GeometricUtilities::BlendLimitsData* NXOpen::Features::FaceBlendBuilder::LimitsListData | ( | ) |
Returns the trim object collector list.
Created in NX8.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::FaceBlendBuilder::MiddleFaceCollector | ( | ) |
Returns the middle face collector get.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::FaceBlendBuilder::MiddleFaceNormFlag | ( | ) |
Returns the middle face set normal reversal flag.
Created in NX7.5.0.
License requirements : None
NXOpen::Features::FaceBlendBuilder::OverflowMethod NXOpen::Features::FaceBlendBuilder::OverflowOption | ( | ) |
Returns the overflow option for face blend.
Created in NX4.0.0.
License requirements : None
bool NXOpen::Features::FaceBlendBuilder::ProjectToSecondWall | ( | ) |
Returns the projection option for face blend.
Created in NX4.0.0.
License requirements : None
bool NXOpen::Features::FaceBlendBuilder::PropagatePastSharpEdges | ( | ) |
Returns the propagate past the sharp edges option for face blend.
Created in NX5.0.0.
License requirements : None
double NXOpen::Features::FaceBlendBuilder::PropagationAngle | ( | ) |
Returns the propagation angle for face blend.
Created in NX5.0.0.
License requirements : None
bool NXOpen::Features::FaceBlendBuilder::RemoveSelfIntersections | ( | ) |
Returns the self-intersections option for face blend.
Created in NX4.0.0.
License requirements : None
bool NXOpen::Features::FaceBlendBuilder::ReverseFirstFaceNormal | ( | ) |
Returns the first face set normal reversal flag.
Created in NX4.0.0.
License requirements : None
bool NXOpen::Features::FaceBlendBuilder::ReverseSecondFaceNormal | ( | ) |
Returns the second face set normal reversal flag.
Created in NX4.0.0.
License requirements : None
bool NXOpen::Features::FaceBlendBuilder::ReverseThirdFaceNormal | ( | ) |
Returns the third face set normal reversal flag.
Created in NX4.0.0.
License requirements : None
NXOpen::Features::FaceBlendBuilder::RhoMethod NXOpen::Features::FaceBlendBuilder::RhoType | ( | ) |
Returns the rho type for face blend.
Created in NX4.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::FaceBlendBuilder::SecondFaceCollector | ( | ) |
Returns the second face collector.
Created in NX4.0.0.
License requirements : None
void NXOpen::Features::FaceBlendBuilder::SetAddTangentFaces | ( | bool | option | ) |
Sets the option for Add Tangent Faces As Encountered.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
option | option |
void NXOpen::Features::FaceBlendBuilder::SetBlendType | ( | NXOpen::Features::FaceBlendBuilder::Type | type | ) |
Sets the type for face blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
type | type |
void NXOpen::Features::FaceBlendBuilder::SetCliffProjectOntoSecondWall | ( | bool | projectOntoSecondWall | ) |
Sets the cliff projection option for face blend.
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
projectOntoSecondWall | project onto second wall |
void NXOpen::Features::FaceBlendBuilder::SetCoincidentEdgeCollector | ( | NXOpen::ScCollector * | collector | ) |
Sets the cliff edge collector for face blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
collector | collector |
void NXOpen::Features::FaceBlendBuilder::SetCrossSectionType | ( | NXOpen::Features::FaceBlendBuilder::CrossSectionOption | type | ) |
Sets the cross section for face blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
type | type |
void NXOpen::Features::FaceBlendBuilder::SetEndCapLimitPlaneOption | ( | bool | option | ) |
Sets the end limit plane capping option
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
option | option |
void NXOpen::Features::FaceBlendBuilder::SetEndLimitFaceNormalFlag | ( | bool | flipFlag | ) |
Sets the end limiting face normal flag
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
flipFlag | flip flag |
void NXOpen::Features::FaceBlendBuilder::SetEndLimitFacesetCollector | ( | NXOpen::ScCollector * | collector | ) |
Sets the end limit faceset collector.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
collector | collector |
void NXOpen::Features::FaceBlendBuilder::SetEndLimitPoint | ( | NXOpen::Point * | point | ) |
Sets the end limit point
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
point | point |
void NXOpen::Features::FaceBlendBuilder::SetFaceBlendDefineType | ( | NXOpen::Features::FaceBlendBuilder::DefiningType | type | ) |
Sets the face blend defining type get.
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
type | type |
void NXOpen::Features::FaceBlendBuilder::SetFirstFaceCollector | ( | NXOpen::ScCollector * | collector | ) |
Sets the first face collector.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
collector | collector |
void NXOpen::Features::FaceBlendBuilder::SetHelpPoint | ( | NXOpen::Point * | helpPoint | ) |
Sets the face blend help point.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
helpPoint | help point |
void NXOpen::Features::FaceBlendBuilder::SetIsoparameterLineOriented | ( | bool | option | ) |
void NXOpen::Features::FaceBlendBuilder::SetLimitPlanes | ( | NXOpen::Plane * | startLimitPlane, |
NXOpen::Plane * | endLimitPlane | ||
) |
This function is to set limit planes for a face blend feature.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
startLimitPlane | Start limit plane |
endLimitPlane | End limit plane |
void NXOpen::Features::FaceBlendBuilder::SetMiddleFaceCollector | ( | NXOpen::ScCollector * | collector | ) |
Sets the middle face collector get.
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
collector | collector |
void NXOpen::Features::FaceBlendBuilder::SetMiddleFaceNormFlag | ( | bool | flipFlag | ) |
Sets the middle face set normal reversal flag.
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
flipFlag | flip flag |
void NXOpen::Features::FaceBlendBuilder::SetOverflowOption | ( | NXOpen::Features::FaceBlendBuilder::OverflowMethod | option | ) |
Sets the overflow option for face blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
option | option |
void NXOpen::Features::FaceBlendBuilder::SetProjectToSecondWall | ( | bool | projectToSecondWall | ) |
Sets the projection option for face blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
projectToSecondWall | project to second wall |
void NXOpen::Features::FaceBlendBuilder::SetPropagatePastSharpEdges | ( | bool | option | ) |
Sets the propagate past the sharp edges option for face blend.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
option | option |
void NXOpen::Features::FaceBlendBuilder::SetPropagationAngle | ( | double | propagationAngle | ) |
Sets the propagation angle for face blend.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
propagationAngle | propagation angle |
void NXOpen::Features::FaceBlendBuilder::SetRemoveSelfIntersections | ( | bool | option | ) |
Sets the self-intersections option for face blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
option | option |
void NXOpen::Features::FaceBlendBuilder::SetReverseFirstFaceNormal | ( | bool | flipFlag | ) |
Sets the first face set normal reversal flag.
Created in NX4.0.0.
License requirements : None
flipFlag | flip flag |
void NXOpen::Features::FaceBlendBuilder::SetReverseSecondFaceNormal | ( | bool | flipFlag | ) |
Sets the second face set normal reversal flag.
Created in NX4.0.0.
License requirements : None
flipFlag | flip flag |
void NXOpen::Features::FaceBlendBuilder::SetReverseThirdFaceNormal | ( | bool | flipFlag | ) |
Sets the third face set normal reversal flag.
Created in NX4.0.0.
License requirements : None
flipFlag | flip flag |
void NXOpen::Features::FaceBlendBuilder::SetRhoType | ( | NXOpen::Features::FaceBlendBuilder::RhoMethod | rhoMethod | ) |
Sets the rho type for face blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
rhoMethod | rho method |
void NXOpen::Features::FaceBlendBuilder::SetSecondFaceCollector | ( | NXOpen::ScCollector * | collector | ) |
Sets the second face collector.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
collector | collector |
void NXOpen::Features::FaceBlendBuilder::SetSewAllFaces | ( | bool | sewOption | ) |
Sets the sew option for face blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
sewOption | sew option |
void NXOpen::Features::FaceBlendBuilder::SetSpine | ( | NXOpen::Section * | spine | ) |
Sets the spine for face blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
spine | spine |
void NXOpen::Features::FaceBlendBuilder::SetStartCapLimitPlaneOption | ( | bool | option | ) |
Sets the start limit plane capping option
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
option | option |
void NXOpen::Features::FaceBlendBuilder::SetStartLimitFaceNormalFlag | ( | bool | flipFlag | ) |
Sets the start limiting face normal flag
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
flipFlag | flip flag |
void NXOpen::Features::FaceBlendBuilder::SetStartLimitFacesetCollector | ( | NXOpen::ScCollector * | collector | ) |
Sets the start limit faceset collector.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
collector | collector |
void NXOpen::Features::FaceBlendBuilder::SetStartLimitPoint | ( | NXOpen::Point * | point | ) |
Sets the start limit point
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
point | point |
void NXOpen::Features::FaceBlendBuilder::SetTangencyCollector | ( | NXOpen::ScCollector * | collector | ) |
Sets the tangency collector of edges or/and curves for face blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
collector | collector |
void NXOpen::Features::FaceBlendBuilder::SetTangentSurface | ( | NXOpen::ISurface * | object | ) |
Sets the tangency object for face blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
object | object |
void NXOpen::Features::FaceBlendBuilder::SetThirdFaceEndParameter | ( | double | range | ) |
Sets the end paramater or 'to' range for the third face with a three-face blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
range | range |
void NXOpen::Features::FaceBlendBuilder::SetThirdFaceStartParameter | ( | double | range | ) |
Sets the start parameter or 'from' range for the third face with a three-face blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
range | range |
void NXOpen::Features::FaceBlendBuilder::SetTolerance | ( | double | tolerance | ) |
Sets the tolerance for face blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
tolerance | tolerance |
void NXOpen::Features::FaceBlendBuilder::SetTrimInputFacesToBlendFaces | ( | bool | trimInputFacesToBlendFaces | ) |
Sets the option for Trim Input Faces to Blend Faces.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
trimInputFacesToBlendFaces | trim input faces to blend faces |
void NXOpen::Features::FaceBlendBuilder::SetTrimmingOption | ( | NXOpen::Features::FaceBlendBuilder::TrimmingMethod | trimmingOption | ) |
Sets the trimming option for face blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
trimmingOption | trimming option |
void NXOpen::Features::FaceBlendBuilder::SetUseLimitsListFlag | ( | bool | useLimitsListFlag | ) |
Sets the trimming option that if it is using limits list to do trim or not.
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
useLimitsListFlag | use limits list flag |
bool NXOpen::Features::FaceBlendBuilder::SewAllFaces | ( | ) |
Returns the sew option for face blend.
Created in NX4.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::FaceBlendBuilder::Spine | ( | ) |
Returns the spine for face blend.
Created in NX4.0.0.
License requirements : None
bool NXOpen::Features::FaceBlendBuilder::StartCapLimitPlaneOption | ( | ) |
Returns the start limit plane capping option
Created in NX5.0.0.
License requirements : None
bool NXOpen::Features::FaceBlendBuilder::StartLimitFaceNormalFlag | ( | ) |
Returns the start limiting face normal flag
Created in NX5.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::FaceBlendBuilder::StartLimitFacesetCollector | ( | ) |
Returns the start limit faceset collector.
Created in NX5.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::FaceBlendBuilder::StartLimitPoint | ( | ) |
Returns the start limit point
Created in NX5.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::FaceBlendBuilder::TangencyCollector | ( | ) |
Returns the tangency collector of edges or/and curves for face blend.
Created in NX4.0.0.
License requirements : None
NXOpen::ISurface* NXOpen::Features::FaceBlendBuilder::TangentSurface | ( | ) |
Returns the tangency object for face blend.
Created in NX4.0.0.
License requirements : None
double NXOpen::Features::FaceBlendBuilder::ThirdFaceEndParameter | ( | ) |
Returns the end paramater or 'to' range for the third face with a three-face blend.
Created in NX4.0.0.
License requirements : None
double NXOpen::Features::FaceBlendBuilder::ThirdFaceStartParameter | ( | ) |
Returns the start parameter or 'from' range for the third face with a three-face blend.
Created in NX4.0.0.
License requirements : None
double NXOpen::Features::FaceBlendBuilder::Tolerance | ( | ) |
Returns the tolerance for face blend.
Created in NX4.0.0.
License requirements : None
bool NXOpen::Features::FaceBlendBuilder::TrimInputFacesToBlendFaces | ( | ) |
Returns the option for Trim Input Faces to Blend Faces.
Created in NX4.0.0.
License requirements : None
NXOpen::Features::FaceBlendBuilder::TrimmingMethod NXOpen::Features::FaceBlendBuilder::TrimmingOption | ( | ) |
Returns the trimming option for face blend.
Created in NX4.0.0.
License requirements : None
void NXOpen::Features::FaceBlendBuilder::UpdateConstantLawProfiles | ( | ) |
Updates all the constant law parms in the builder using builder section.
This call must be made every time the section is updated.
Created in NX5.0.1.
License requirements : solid_modeling ("SOLIDS MODELING")
bool NXOpen::Features::FaceBlendBuilder::UseLimitsListFlag | ( | ) |
Returns the trimming option that if it is using limits list to do trim or not.
Created in NX8.0.0.
License requirements : None